#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	long long n, k;
	cin>>n;
	long long a, b=-1, p;
	cin>>k;
	bool ok=false;
	for(int i=0;i<n;i++){
		cin>>a;
		if(i==0){
			p=a;
		}
		if(ok){
			b=a;
			ok=false;
		}
		if(a==k){
			ok=true;
		}
	}
	if(b==-1){
		cout<<p;
	}
	else{
		cout<<b;
	}
	return 0;
}